Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.BV.OrthogBlockType

class slepc4py.SLEPc.BV.OrthogBlockType

  Bases: `object`

  BV block-orthogonalization types.

  - `GS`: Gram-Schmidt, column by column.

  - `CHOL`: Cholesky QR method.

  - `TSQR`: Tall-skinny QR method.

  - `TSQRCHOL`: Tall-skinny QR, but computing the triangular factor only.

  - `SVQB`: SVQB method.

  See also

  `BVOrthogBlockType`

  Attributes Summary

  `CHOL` | Constant `CHOL` of type `int`
  `GS` | Constant `GS` of type `int`
  `SVQB` | Constant `SVQB` of type `int`
  `TSQR` | Constant `TSQR` of type `int`
  `TSQRCHOL` | Constant `TSQRCHOL` of type `int`

  Attributes Documentation

  CHOL: int = CHOL

    Constant `CHOL` of type `int`

  GS: int = GS

    Constant `GS` of type `int`

  SVQB: int = SVQB

    Constant `SVQB` of type `int`

  TSQR: int = TSQR

    Constant `TSQR` of type `int`

  TSQRCHOL: int = TSQRCHOL

    Constant `TSQRCHOL` of type `int`